aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-03-25 15:49:02 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-03-25 15:49:02 +0000
commit60527d8ec5b4a85069ae48315bd9e5d0918e445c (patch)
tree0eb1dd3e73db96e8fdda188dfcdf8963c7ff766f
parent140e7004f8b667b086f35596238f13711afa8b0b (diff)
downloadpaludis-60527d8ec5b4a85069ae48315bd9e5d0918e445c.tar.gz
paludis-60527d8ec5b4a85069ae48315bd9e5d0918e445c.tar.xz
PMS compliant working directories. Fixes: ticket:150
-rw-r--r--paludis/repositories/gentoo/ebuild/src_compile.bash4
-rw-r--r--paludis/repositories/gentoo/ebuild/src_install.bash4
-rw-r--r--paludis/repositories/gentoo/ebuild/src_test.bash4
3 files changed, 9 insertions, 3 deletions
diff --git a/paludis/repositories/gentoo/ebuild/src_compile.bash b/paludis/repositories/gentoo/ebuild/src_compile.bash
index 42c8de1..85a48e4 100644
--- a/paludis/repositories/gentoo/ebuild/src_compile.bash
+++ b/paludis/repositories/gentoo/ebuild/src_compile.bash
@@ -30,8 +30,10 @@ src_compile()
ebuild_f_compile()
{
- if [[ -d "${S}" ]]; then
+ if [[ -d "${S}" ]] ; then
cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ elif [[ -d "${WORKDIR}" ]] ; then
+ cd "${WORKDIR}" || die "cd to \${WORKDIR} (\"${WORKDIR}\") failed"
fi
if hasq "compile" ${RESTRICT} ; then
diff --git a/paludis/repositories/gentoo/ebuild/src_install.bash b/paludis/repositories/gentoo/ebuild/src_install.bash
index d7a67cd..f0c2f9d 100644
--- a/paludis/repositories/gentoo/ebuild/src_install.bash
+++ b/paludis/repositories/gentoo/ebuild/src_install.bash
@@ -27,8 +27,10 @@ src_install()
ebuild_f_install()
{
- if [[ -d "${S}" ]]; then
+ if [[ -d "${S}" ]] ; then
cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ elif [[ -d "${WORKDIR}" ]] ; then
+ cd "${WORKDIR}" || die "cd to \${WORKDIR} (\"${WORKDIR}\") failed"
fi
if hasq "install" ${RESTRICT} ; then
diff --git a/paludis/repositories/gentoo/ebuild/src_test.bash b/paludis/repositories/gentoo/ebuild/src_test.bash
index 24ff3d6..17ad341 100644
--- a/paludis/repositories/gentoo/ebuild/src_test.bash
+++ b/paludis/repositories/gentoo/ebuild/src_test.bash
@@ -50,8 +50,10 @@ ebuild_f_test()
!!! for more information on packages with test phase failures.
"
- if [[ -d "${S}" ]]; then
+ if [[ -d "${S}" ]] ; then
cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ elif [[ -d "${WORKDIR}" ]] ; then
+ cd "${WORKDIR}" || die "cd to \${WORKDIR} (\"${WORKDIR}\") failed"
fi
if hasq "test" ${RESTRICT} ; then